{
  pkgs,
  lib,
  config,
  ...
}: let
  repo_root = "../../..";
in {
  home.file = {
    "bin/git-sync".source = ./${repo_root}/git-sync;
    ".cargo/config.toml".source = pkgs.substituteAll {
      src = ./${repo_root}/cargo/config.toml.nixtemplate;
      profileDir = config.home.profileDirectory;
    };
    ".ideavimrc".source = ./${repo_root}/ideavim/ideavimrc;
  };
  xdg.configFile = {
    "doom/init.el" = {
      source = ./${repo_root}/emacs/emacs.doom/init.el;
      onChange = "~/.emacs.d/bin/doom sync";
    };
    "doom/config.el" = {
      source = ./${repo_root}/emacs/emacs.doom/config.el;
      onChange = "~/.emacs.d/bin/doom sync";
    };
    "doom/packages.el" = {
      source = ./${repo_root}/emacs/emacs.doom/packages.el;
      onChange = "~/.emacs.d/bin/doom sync";
    };
    "erdtree/.erdtreerc".source = ./${repo_root}/erdtree/erdtreerc;
    "kitty/kitty.conf".source = ./${repo_root}/kitty/kitty.conf;
    "lsd/config.yaml".source = ./${repo_root}/lsd/config.yaml;
    "ov/config.yaml".source = ./${repo_root}/ov/ov-less.yaml;
  };
}
